GTPin: gtpin::GtKernelExecStage Class Reference

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
gtpin::GtKernelExecStage Class Reference
Kernel Dispatching

Enumeration of the kernel execution stages (contexts) More...

`#include <igt_kernel.h>`

## Public Types
enum | ENUM { NONE, DISPATCH, FINAL_DISPATCH, COMPLETE }
## Public Member Functions
constexpr | GtKernelExecStage (ENUM v=NONE)
| Conversion constructor.
constexpr | operator ENUM () const
| Conversion operator.

## Detailed Description

Enumeration of the kernel execution stages (contexts)

Normally, GTPin invokes two callbacks that indicate two kernel execution stages: OnKernelRun notifies about DISPATCH execution stage, and OnKernelComplete reports the final, COMPLETE stage of the kernel execution. However, on some plaforms, the kernel dispatch process can be logically divided on two stages. For example, in the L0 platform, the dispatch starts when the kernel is appended to the command list. At this point, GTPin invokes OnKernelRun callback in the DISPATCH context. The dispatch process finishes when runtime submits the command list for execution. At this point, GTPin may invoke second OnKernelRun callback in the FINAL_DISPATCH context, if requested by the IGtKernelDispatch::ReportFinalDispatchStage function. On platforms at which dispatch process is not divided on stages, single OnKernelRun callback is invoked in the DISPATCH context.

## Member Enumeration Documentation

enum gtpin::GtKernelExecStage::ENUM

Enumerator:

  NONE | Kernel is not yet dispatched for execution.
  DISPATCH | Kernel has been dispatched for execution.
  FINAL_DISPATCH | Final dispatch stage of the kernel(reported on selected platforms)
  COMPLETE | Kernel finished execution.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT